Platform (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.platform

## Class Platform

- java.lang.Object
- - net.sf.antcontrib.platform.Platform

-     public class Platform
      extends java.lang.Object

  Author:
    Matthew Inger

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FAMILY_DOS`
    `static int` | `FAMILY_MAC`
    `static int` | `FAMILY_MACOSX`
    `static java.lang.String` | `FAMILY_NAME_DOS`
    `static java.lang.String` | `FAMILY_NAME_MAC`
    `static java.lang.String` | `FAMILY_NAME_OPENVMS`
    `static java.lang.String` | `FAMILY_NAME_OS2`
    `static java.lang.String` | `FAMILY_NAME_OS400`
    `static java.lang.String` | `FAMILY_NAME_TANDEM`
    `static java.lang.String` | `FAMILY_NAME_UNIX`
    `static java.lang.String` | `FAMILY_NAME_WINDOWS`
    `static java.lang.String` | `FAMILY_NAME_ZOS`
    `static int` | `FAMILY_NONE`
    `static int` | `FAMILY_OPENVMS`
    `static int` | `FAMILY_OS2`
    `static int` | `FAMILY_OS400`
    `static int` | `FAMILY_TANDEM`
    `static int` | `FAMILY_UNIX`
    `static int` | `FAMILY_WINDOWS`
    `static int` | `FAMILY_ZOS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Platform()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getDefaultScriptSuffix()`
    `static java.lang.String` | `getDefaultShell()`
    `static java.lang.String[]` | `getDefaultShellArguments()`
    `static java.util.Properties` | `getEnv()`
    `static int` | `getOsFamily()`
    `static java.lang.String` | `getOsFamilyName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FAMILY_NONE

          public static final int FAMILY_NONE

      See Also:
        Constant Field Values

    - #### FAMILY_UNIX

          public static final int FAMILY_UNIX

      See Also:
        Constant Field Values

    - #### FAMILY_WINDOWS

          public static final int FAMILY_WINDOWS

      See Also:
        Constant Field Values

    - #### FAMILY_OS2

          public static final int FAMILY_OS2

      See Also:
        Constant Field Values

    - #### FAMILY_ZOS

          public static final int FAMILY_ZOS

      See Also:
        Constant Field Values

    - #### FAMILY_OS400

          public static final int FAMILY_OS400

      See Also:
        Constant Field Values

    - #### FAMILY_DOS

          public static final int FAMILY_DOS

      See Also:
        Constant Field Values

    - #### FAMILY_MAC

          public static final int FAMILY_MAC

      See Also:
        Constant Field Values

    - #### FAMILY_MACOSX

          public static final int FAMILY_MACOSX

      See Also:
        Constant Field Values

    - #### FAMILY_TANDEM

          public static final int FAMILY_TANDEM

      See Also:
        Constant Field Values

    - #### FAMILY_OPENVMS

          public static final int FAMILY_OPENVMS

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_UNIX

          public static final java.lang.String FAMILY_NAME_UNIX

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_WINDOWS

          public static final java.lang.String FAMILY_NAME_WINDOWS

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_OS2

          public static final java.lang.String FAMILY_NAME_OS2

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_ZOS

          public static final java.lang.String FAMILY_NAME_ZOS

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_OS400

          public static final java.lang.String FAMILY_NAME_OS400

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_DOS

          public static final java.lang.String FAMILY_NAME_DOS

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_MAC

          public static final java.lang.String FAMILY_NAME_MAC

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_TANDEM

          public static final java.lang.String FAMILY_NAME_TANDEM

      See Also:
        Constant Field Values

    - #### FAMILY_NAME_OPENVMS

          public static final java.lang.String FAMILY_NAME_OPENVMS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Platform

          public Platform()

  - ### Method Detail

    - #### getOsFamily

          public static final int getOsFamily()

    - #### getOsFamilyName

          public static final java.lang.String getOsFamilyName()

    - #### getEnv

          public static final java.util.Properties getEnv()

    - #### getDefaultShell

          public static final java.lang.String getDefaultShell()

    - #### getDefaultScriptSuffix

          public static final java.lang.String getDefaultScriptSuffix()

    - #### getDefaultShellArguments

          public static final java.lang.String[] getDefaultShellArguments()